Summary:	The NIS (Network Information Service) server
Url:		http://www.linux-nis.org/
Name:		ypserv
Version:	4.2
Release:	%mkrel 5
License:	GPL-2.0-only
Group:		System/Servers

Source0:	https://github.com/thkukuk/%{name}/archive/v%{version}.tar.gz
Source1:	ypserv.service
Source2:	yppasswdd.service
Source3:	ypxfrd.service
Patch0:		ypserv-2.5-redhat.patch
Patch2:		ypserv-2.5-nfsnobody2.patch
Patch3:		ypserv-2.13-ypxfr-zeroresp.patch
Patch4:		ypserv-2.13-nonedomain.patch
Patch5:		ypserv-2.19-slp-warning.patch
Patch6:		ypserv-4.0-manfix.patch
Patch7:		ypserv-2.24-aliases.patch
Patch8:		ypserv-2.27-confpost.patch
Patch10:	ypserv-2.31-netgrprecur.patch
Patch12:	ypserv-4.0-headers.patch
Patch14:	ypserv-4.0-selinux-context.patch

BuildRequires:	gdbm-devel
BuildRequires:	openslp-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	libtirpc-devel

Requires:	rpcbind make
Requires(post):		systemd
Requires(preun):	systemd

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch -P 0 -p1 -b .redhat
%patch -P 2 -p1 -b .nfsnobody
%patch -P 3 -p1 -b .respzero
%patch -P 4 -p1 -b .nonedomain
%patch -P 5 -p1 -b .slp-warning
%patch -P 6 -p1 -b .manfix
%patch -P 7 -p1 -b .aliases
%patch -P 8 -p1 -b .confpost
%patch -P 10 -p1 -b .netgrprecur
%patch -P 12 -b .headers
%patch -P 14 -p1 -b .selinux-context

%build
%serverbuild
autoreconf -vfi
cp etc/README etc/README.etc
%configure CFLAGS="$CFLAGS -Wno-format-overflow" \
	   --enable-checkroot \
	   --enable-fqdn \
	   --libexecdir=%{_libdir}/yp \
	   --mandir=%{_mandir}
%make_build

%install
%make_install

install -m644 etc/ypserv.conf -D %{buildroot}%{_sysconfdir}/ypserv.conf
install -m644 %{SOURCE1} -D %{buildroot}%{_unitdir}/ypserv.service
install -m644 %{SOURCE2} -D %{buildroot}%{_unitdir}/yppasswdd.service
install -m644 %{SOURCE3} -D %{buildroot}%{_unitdir}/ypxfrd.service

%post
%_post_service ypserv
%_post_service yppasswdd
%_post_service ypxfrd

%preun
%_preun_service ypserv
%_preun_service yppasswdd
%_preun_service ypxfrd

%files
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%{_unitdir}/*
%dir %{_libdir}/yp
%attr(755, root, root) %{_libdir}/yp/*
%attr(755, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 4.2-5.mga10
+ Revision: 2222164
- Mageia 10 Mass Rebuild

* Sun Apr 14 2024 daviddavid <daviddavid> 4.2-4.mga10
+ Revision: 2057400
- switch to systemd unit from initscripts

* Sat Apr 06 2024 wally <wally> 4.2-3.mga10
+ Revision: 2055262
- rebuild for libnsl 2.0.1

* Thu Mar 17 2022 danf <danf> 4.2-2.mga9
+ Revision: 1797245
- Disable format overflow error which is a false positive from gcc 12

* Tue Oct 12 2021 tv <tv> 4.2-1.mga9
+ Revision: 1750651
- 4.2

* Wed Nov 25 2020 tv <tv> 4.1-1.mga8
+ Revision: 1649366
- 4.1 which builds with tirpc/glibc-2.32

* Fri Feb 14 2020 umeabot <umeabot> 2.32.1-9.mga8
+ Revision: 1519105
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.32.1-8.mga7
+ Revision: 1302028
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.32.1-7.mga7
+ Revision: 1237495
- rebuild for gdbm

* Fri Feb 05 2016 umeabot <umeabot> 2.32.1-6.mga6
+ Revision: 938300
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.32.1-5.mga5
+ Revision: 750292
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.32.1-4.mga5
+ Revision: 725286
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.32.1-3.mga5
+ Revision: 690844
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 2.32.1-2.mga5
+ Revision: 672036
- Rebuild for new systemd

* Sat Mar 15 2014 luigiwalser <luigiwalser> 2.32.1-1.mga5
+ Revision: 604036
- 2.32.1 (fixes sd_notify check with systemd >= 209)
- BR systemd-devel
- use gawk instead of mawk

* Thu Dec 05 2013 luigiwalser <luigiwalser> 2.32-1.mga5
+ Revision: 555390
- 2.32

* Sat Oct 19 2013 umeabot <umeabot> 2.31-2.mga4
+ Revision: 523728
- Mageia 4 Mass Rebuild

* Thu May 09 2013 luigiwalser <luigiwalser> 2.31-1.mga4
+ Revision: 412783
- 2.31

* Mon Jan 14 2013 umeabot <umeabot> 2.29-2.mga3
+ Revision: 387619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 luigiwalser <luigiwalser> 2.29-1.mga3
+ Revision: 291167
- 2.29

* Sun Jul 29 2012 luigiwalser <luigiwalser> 2.28-1.mga3
+ Revision: 275833
- 2.28

* Sat Mar 03 2012 luigiwalser <luigiwalser> 2.27-1.mga2
+ Revision: 217473
- 2.27
- fix source URL
- add patch 16 from fedora to fix build issue

* Tue Dec 06 2011 fwang <fwang> 2.26-2.mga2
+ Revision: 177169
- rebuild for new gdbm

* Tue Sep 06 2011 tv <tv> 2.26-1.mga2
+ Revision: 139477
- add missing LSB keywords
- new release

* Fri Apr 15 2011 nanardon <nanardon> 2.24-1.mga1
+ Revision: 85872
- 2.24

* Tue Feb 08 2011 ennael <ennael> 2.22-2.mga1
+ Revision: 49052
- imported package ypserv


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.22-2mdv2011.0
+ Revision: 608274
- rebuild

* Mon Feb 08 2010 Olivier Thauvin <nanardon@mandriva.org> 2.22-1mdv2010.1
+ Revision: 501893
- 2.22
- 2.22

* Sat May 09 2009 Olivier Thauvin <nanardon@mandriva.org> 2.19-8mdv2010.0
+ Revision: 373789
- s/portmapper/rpcbind
- s/portmapper/rpcbind

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.19-7mdv2009.1
+ Revision: 317954
- rediffed some fuzzy patches

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.19-6mdv2008.1
+ Revision: 178769
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.19-5mdv2008.0
+ Revision: 43311
- rebuild with new serverbuild macro (-fstack-protector)

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19-4mdv2008.0
+ Revision: 36220
- rebuild with correct optflags

  + Olivier Thauvin <nanardon@mandriva.org>
    - requires portmapper instead portmap


* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:43:13 (41827)
- rebuild

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:38:51 (41822)
Import ypserv

* Sat Feb 11 2006 Olivier Thauvin <nanardon@mandriva.org> 2.19-1mdk
- 2.19

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 2.17-3mdk
- add LSB comments in initscripts (Sources 1, 2, 3)
- fix requires post/preun
- use 755 perms for executables

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.17-2mdk
- Rebuild

* Sat Jul 16 2005 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdk
- 2.17
- remove patch{8,9}, no need anymore

* Tue Mar 22 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.14-2mdk
- fix build with -fPIE

* Wed Nov 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.14-1mdk
- 2.14
- sync with fedora patches
- cosmetics

* Mon Jan 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.11-1mdk
- 2.11: SLP support

* Wed Nov 05 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.10-1mdk
- 2.10

